import React from "react";
import Link from "next/link";

import { FaVimeoV } from "react-icons/fa";
import { FaFacebookSquare } from "react-icons/fa";
import { FaXTwitter } from "react-icons/fa6";
import { FaYoutube } from "react-icons/fa";

const Footer = () => {
  return (
    <footer className="bg-gradient-to-b from-[#E2F1F9] to-[#FFFFFF] p-10 font-clashDisplay">
      <div className="bg-blueaid w-[80vw] h-[30vh] mx-auto rounded-lg flex justify-center items-center p-4 gap-6 shadow-2xl mt-10">
        <h2 className="text-3xl font-bold text-white text-center">
          Subscribe to our Newsletter
        </h2>
        <div className="w-[40vw] h-[10vh] bg-white flex justify-between items-center p-6 rounded-md">
          <input
            placeholder="Enter your email address"
            className="outline-none text-lg"
          ></input>
          <button className="bg-blueaid px-4 py-2 text-white rounded-md">
            Subscribe Now
          </button>
        </div>
      </div>
      <div className="flex justify-between items-center w-[82vw] mx-auto mt-5 p-4">
        <div className="flex flex-row gap-8 cursor-pointer text-lg font-medium">
          <Link href="/">
            <div>Home</div>
          </Link>         
          <Link href="signup">
            <div>Get Help</div>
          </Link>
        <Link href="signup">
            <div>Offer Help</div>
          </Link>
          
        </div>
        <div className="flex flex-row gap-8 text-2xl">
          <FaFacebookSquare className="text-blueaid" />
          <FaXTwitter className="text-blueaid" />
          <FaVimeoV className="text-blueaid" />
          <FaYoutube className="text-blueaid" />
        </div>
      </div>
      <hr className="mt-6 mb-6 w-[80vw] mx-auto p-5" />
       <div className="w-[80vw] mx-auto">
        <div className="flex justify-between items-center">
          <p className="text-center text-textaid-100 text-lg">
            © 2024 Humanity Aid. All rights reserved.
          </p>
          <div className="flex flex-row gap-6 text-lg">
            <div>Terms of Service</div>
            <div>Privacy Policy</div>
          </div>
      </div>
      </div>
    </footer>
  );
};

export default Footer;
